Status: Closed

Priority: Severe/Regression

Assignee: Marco Hugentobler

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16644

Description

Just spotted another regression with symbology: centroid fill always renders using map units, even when millimeters is explicitly set.

Steps to reproduce:

1. Load any polygon shapefile onto a new project

2. Open the layer properties window, go to the style section

3. Add a new symbol layer, set it to centroid fill

4. Click on the simple marker sub-item

5. Open the unit drop-down list and set it to millimeters

6. Apply style change, and go back to map canvas

5. Zoom in and out

When zooming in and out, you'll notice the centroid marker changes size. This should not happen as we've set unit to millimeters, yet

rendering disregards the user style setting and always renders using map units.

History

#1 - 2013-05-02 10:40 AM - Giovanni Manghi

confirmed here

#2 - 2013-05-06 05:42 AM - Marco Hugentobler

- Assignee set to Marco Hugentobler

#3 - 2013-05-06 08:48 PM - Marco Hugentobler

- Status changed from Open to Closed

Fixed in c5142dab2048f3b06207f79e5e5aed012a818697

#4 - 2013-05-06 09:01 PM - Mathieu Pellerin - nIRV

Thanks Marco.
